Bug 975303 - BPMN editor signals errors when SwitchYard service task is used
BPMN editor signals errors when SwitchYard service task is used
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: ---
Assigned To: Rob Cernich
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 00:20 EDT by Jiri Pechanec
Modified: 2014-06-16 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1609 Major Closed Fix Fault config attributes for SwitchYard Service Task 2014-06-16 19:52:29 EDT

  None (edit)
Description Jiri Pechanec 2013-06-18 00:20:37 EDT
When a SwitchYard service is added to a BPM process and configured then JBDS emits one or more of this errors

Expression and Language must not be blank	ProcessComponent.bpmn	/implementations-component-test/build/classes	Unknown	BPMN 2.0 Modeler

The process is runnable even with this errors, but project is marked as build error.

The problem lies with data associations related to the task

This is an exmaple fo a XML that is generated for setting service name to "MyService" 

      <bpmn2:dataInputAssociation id="_DataInputAssociation_2">
        <bpmn2:targetRef>_DataInput_2</bpmn2:targetRef>
        <bpmn2:assignment id="Assignment_2">
          <bpmn2:from xsi:type="bpmn2:tFormalExpression" id="FormalExpression_5" >MyService</bpmn2:from>
          <bpmn2:to xsi:type="bpmn2:tFormalExpression" id="FormalExpression_6" >_DataInput_2</bpmn2:to>
        </bpmn2:assignment>
      </bpmn2:dataInputAssociation>

If an attribute language="http://www.mvel.org/2.0" is added to from and to elements then one of the error is eliminated. All errors are eliminated if all data associations has the same change.
Comment 1 Rob Cernich 2013-08-13 12:54:05 EDT
The fix for this should be available in SwitchYard 1.0.0.Final
Comment 5 Jiri Pechanec 2013-10-17 05:29:46 EDT
Verified in ER4
Comment 6 JBoss JIRA Server 2014-06-16 19:52:29 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1609 to Closed

Note You need to log in before you can comment on or make changes to this bug.